var allCustomer = [];
$(function () {   
 
    TdRowOverOut("tPerformance");     

    $("#btnExportExcel").click(function () {       
        if (!checkField()) {
            return;
        }
        location.href = "/Chart/GetUserOrderPerformanceExcel?CBeginDate=" + $("#CBeginDate").val() +
            "&CEndDate=" + $("#CEndDate").val() + "&TBeginDate=" + $("#TBeginDate").val() +
            "&TEndDate=" + $("#TEndDate").val() ;     
    });

});


function checkField() {
    ClearErrorMsg();
        if (!$("#TBeginDate").val() || !$("#TEndDate").val()) {
            if (!$("#CBeginDate").val()) {
                $("#CBeginDate").addClass("redBorder");
                return false;
            }
            if (!$("#CEndDate").val()) {
                $("#CEndDate").addClass("redBorder");
                return false;
            }

            if (DateDiff($("#CBeginDate").val(), $("#CEndDate").val()) >366) {
                    SetErrorMsg("提示：起止时间跨度最多为1年。如果时间跨度超过1年，请分多次查询。");
                    return false;
                }

        } 
        else{
            if (DateDiff($("#TBeginDate").val(), $("#TEndDate").val()) >366) {
                    SetErrorMsg("提示：起止时间跨度最多为1年。如果时间跨度超过1年，请分多次查询。");
                    return false;
                }
        }
 
        return true;
   
}

function performanceDetail(userId){
    location.href="/Chart/UserOrderPerformanceDetail?userId=" + userId + "&CBeginDate=" + $("#CBeginDate").val() +
            "&CEndDate=" + $("#CEndDate").val() + "&TBeginDate=" + $("#TBeginDate").val() +
            "&TEndDate=" + $("#TEndDate").val() ;     
}
